KDE 4.6 PyKDE API Reference

- KDE's Python API

# BusyWidget Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

BusyWidget plasma/widgets/spinner.h <Plasma/Widgets/BusyWidget>

A widget that provides a waiting spinner

A simple spinner widget that can be used to represent a wait of unknown length

## Signals

| clicked ()

## Methods

| __init__ (self, QGraphicsWidget parent=0)
| hideEvent (self, QHideEvent event)
bool | isRunning (self)
QString | label (self)
| mousePressEvent (self, QGraphicsSceneMouseEvent event)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget=0)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setLabel (self, QString label)
| setRunning (self, bool running)
| showEvent (self, QShowEvent event)
| timerEvent (self, QTimerEvent event)

## Signal Documentation

clicked | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("clicked()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

Constructs a new BusyWidget

@arg parent the parent of this widget

hideEvent | ( | self, |
|  | QHideEvent | event
| ) |  |  |

bool isRunning | ( |  | self ) |

Returns:
  whether or not the spinner is animated.

QString label | ( |  | self ) |

Parameters:

  | label | the string that is shown in front of the icon.

mousePressEvent | ( | self, |
|  | QGraphicsSceneMouseEvent | event
| ) |  |  |

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget=0
| ) |  |  |

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setLabel | ( | self, |
|  | QString | label
| ) |  |  |

Parameters:

  | label | a string to be shown in front of the icon.

setRunning | ( | self, |
|  | bool | running
| ) |  |  |

Parameters:

  | running | whether or not the spinner has to be animated. defaults to true.

showEvent | ( | self, |
|  | QShowEvent | event
| ) |  |  |

timerEvent | ( | self, |
|  | QTimerEvent | event
| ) |  |  |